# opentl::modalities::Blobs Class Reference

Inherits opentl::modalities::Modality.

List of all members.

## Public Types
## Public Member Functions
| Blobs (const Blobs &b)
| Copy Constructor (deep copy).
| Blobs (opentl::modelprojection::Warp *warp, int camIdx)
| Constructor.
virtual modalities::Modality * | clone () const
| Clone this class and all potential childs RECURSIVELY!! (deep copy).
virtual void | init ()
| Needed init() method for parameter handling.
virtual int | matchFeatLevel (const TargetPtrVector &targets, T_MEAS_FEATPtrVector &outputMeas, std::size_t partitionIdx)
| Find connected components (blobs) and match to the predicted target shadows, through the principal moments (center, area, ...).
virtual | ~Blobs ()
| Destructor.

## Member Enumeration Documentation

enum opentl::modalities::Blobs::OfflineParameters

Enumerator:

  OFFLINE_COUNT |

Reimplemented from opentl::modalities::Modality.

enum opentl::modalities::Blobs::OnlineParameters

Enumerator:

  preProcess_maxBlobs | (unsigned int) max blob count (default = 0)
  preProcess_minArea | (double) pre processing minimum area (default = 0.0)
  multiHypos | (bool) use multiple hypothesis (default = false)
  matchFeatLevel_measCov | (std::vector<double>) Feature-level residual covariances (x,y and area)
  matchFeatLevel_alpha | (double) Missing detection rate for multi-hypothesis measurement (default = 0.1)
  matchF_maxMultiHypoAssoc | (unsigned int) Max. number of associations (for multi-hypotheses matching)
  ONLINE_COUNT |

Reimplemented from opentl::modalities::Modality.

## Constructor & Destructor Documentation

opentl::modalities::Blobs::Blobs | ( | opentl::modelprojection::Warp * | warp,
|  | int | camIdx |
| ) |  |  |

Constructor.

opentl::modalities::Blobs::Blobs | ( | const Blobs & | b | ) |

Copy Constructor (deep copy).

virtual opentl::modalities::Blobs::~Blobs | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual modalities::Modality* opentl::modalities::Blobs::clone | ( |  | ) | const`[virtual]`

Clone this class and all potential childs RECURSIVELY!! (deep copy).

Implements opentl::modalities::Modality.

virtual void opentl::modalities::Blobs::init | ( |  | ) | `[virtual]`

Needed init() method for parameter handling.

Reimplemented from opentl::modalities::Modality.

virtual int opentl::modalities::Blobs::matchFeatLevel | ( | const TargetPtrVector & | targets,
|  | T_MEAS_FEATPtrVector & | outputMeas,
|  | std::size_t | partitionIdx |
| ) |  |  | `[virtual]`

Find connected components (blobs) and match to the predicted target shadows, through the principal moments (center, area, ...).

Reimplemented from opentl::modalities::Modality.